.nav {
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    opacity: 0;
    visibility: hidden;
    z-index: 900;
    text-align: center;
    position: fixed;
    display: flex;
    flex-direction: column;
    background: #F2F5F7;
    overflow: auto;

    &__wrap {
        margin:  auto 0;
        padding: rem(40) rem(24);
    }

    &__close {
        top: 24px;
        right: 24px;
        width: 40px;
        height: 40px;
        border: none;
        outline: none;
        fill: #1D1D1D;
        font-size: 0;
        line-height: 0;
        cursor: pointer;
        position: fixed;
        display: inline-block;
        background: transparent;
    }

    &__logo {
        margin-bottom: rem(32);
    }

    &__main {
        padding: 0;
        width: rem(274);
        list-style: none;
        margin: 0 auto rem(62) auto;
    }

    &__item {

        &:not(:last-child) {
            margin-bottom: rem(21);
        }
    }

    &__button {
        fill: $dark;
        color: $dark;
        outline: none;
        border: none;
        width: 100%;
        height: rem(56);
        cursor: pointer;
        font-weight: 500;
        font-size: rem(16);
        line-height: rem(28);
        background: $white;
        user-select: none;
        text-align: center;
        white-space: nowrap;
        border-radius: 12px;
        text-decoration: none;
        vertical-align: middle;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        transition: .3s;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(27);
            display: inline-block;
            margin-right: rem(10);
        }

        span {
            display: inline-block;
        }

        &:hover {
            fill: $white;
            color: $white;
            background: $blue;
            transition: .3s;
        }

        &:focus {
            outline: none;
        }

        &:active {
            fill: $dark;
            color: $dark;
            background: $white;
        }

        &--blue {
            fill: $white;
            color: $white;
            background: $blue;

            &:hover {
                fill: $dark;
                color: $dark;
                background: $white;
            }

            &:active {
                fill: $blue;
                color: $white;
                background: $blue;
            }
        }
    }

    &__account {
        margin: 0;
        padding: 0;
        list-style: none;

        &--item {

            &:not(:last-child) {
                margin-bottom: rem(8);
            }
        }
    }

    &__user {
        color: $dark;
        stroke: $blue;
        border: none;
        outline: none;
        font-weight: 600;
        font-size: rem(18);
        line-height: rem(27);
        text-decoration: none;
        background: transparent;
        display: inline-flex;
        align-items: center;
        justify-content: center;
        transition: .3s;

        i {
            font-size: 0;
            line-height: 0;
            height: rem(18);
            display: inline-block;
            margin-right: rem(10);
        }

        span {
            display: inline-block;
        }

        &:hover {
            color: $blue;
            transition: .3s;
            text-decoration: none;
        }
    }

    &__link {
        color: #545454;
        font-weight: 400;
        font-size: rem(14);
        line-height: rem(20);
        display: inline-block;
        text-decoration: underline;

        &:hover {
            color: #545454;
            text-decoration: none;
        }
    }

    &__box {
        margin: rem(40) auto 0 auto;
        width: rem(200);
        text-align: center;
        background: $white;
        border-radius: 12px;
        padding: rem(24) rem(10);
    }

    &__label {
        font-weight: 500;
        font-size: rem(14);
        line-height: rem(28);
    }

    &__value {
        font-weight: 500;
        font-size: rem(12);
        line-height: rem(28);

        strong {
            color: $blue;
            font-weight: 700;
            font-size: rem(24);
        }
    }

    &__info {

        &:not(:last-child) {
            margin-bottom: rem(24);
        }
    }

    @include media-breakpoint-up(xl) {
        opacity: 1;
        right: auto;
        width: rem(352);
        visibility: visible;
        display: block;

        &__wrap {
            margin: 0;
            padding-top: rem(66);
        }

        &__close {
            display: none;
        }

        &__box {
            margin-top: rem(80);
        }
    }
}

.nav-open {
    height: 100%;
    overflow: hidden;

    .nav {
        opacity: 1;
        visibility: visible;
        transition: .3s;
    }

    @include media-breakpoint-up(xl) {
        height: auto;
        overflow: visible;
    }
}
